package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Alamat;
import com.jasamedika.medifirst2000.entities.Produk;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapRencanaOrderRadiologiVO extends BaseTransactionVO{
	@ManyToOne
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@NotNull(message = "Tgl Haid Terkait tidak boleh kosong")
	@Column(name = "tglHaidTerkait", nullable = false)
	@Caption(value = "Tgl Haid Terkait")
	private Date tglHaidTerkait;
	
	@NotNull(message = "Keluhan tidak boleh kosong")
	@Column(name = "Keluhan", nullable = false)
	@Caption(value = "Keluhan")	
	private String keluhan;
	
	@OneToMany
	@Caption(value = "Alamat")	
	private Set<ProdukVO> produkSet=new HashSet<ProdukVO>();
	
	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public Date getTglHaidTerkait() {
		return tglHaidTerkait;
	}

	public void setTglHaidTerkait(Date tglHaidTerkait) {
		this.tglHaidTerkait = tglHaidTerkait;
	}

	public String getKeluhan() {
		return keluhan;
	}

	public void setKeluhan(String keluhan) {
		this.keluhan = keluhan;
	}

	public Set<ProdukVO> getProdukSet() {
		return produkSet;
	}

	public void setProdukSet(Set<ProdukVO> produkSet) {
		this.produkSet = produkSet;
	}

}
